<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>PlainVendorAppMock</title>
    <base href="/" />

    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="icon" type="image/x-icon" href="favicon.ico" />
    <script src="https://unpkg.com/@empaia/vendor-app-communication-interface@0.1.24/index.umd.js"></script>
  </head>
  <body>
    <div class="receiver-container">
      <h1>Plain JavaScript Vendor App</h1>
      <div class="receiver-element-container">
        <div class="display-container">
          <h3>Received <b>Scope</b>:</h3>
          <h2 id="scope-data"></h2>
        </div>
        <div class="display-container">
          <h3>Received <b>Token</b>:</h3>
          <h2 id="token-data"></h2>
        </div>
        <div class="display-container">
          <h3>Received <b>WbsUrl</b>:</h3>
          <h2 id="wbs-url-data"></h2>
        </div>
      </div>
      <div class="receiver-element-container">
        <button id="request-new-token" onclick="VendorAppCommunicationInterface.requestNewToken()">Request new token</button>
      </div>
    </div>
  </body>
</html>
